%define name	toolame
%define version 02l
%define rel 2
%define release %{rel}.%{distsuffix}%{distversion}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	MPEG Audio Layer2 VBR Encoder
License:	LGPL
Group:		Sound
URL:		http://users.tpg.com.au/adslblvi/#tooLAME
Source:		http://prdownloads.sourceforge.net/toolame/%{name}-%{version}.tar.bz2 
Buildroot:	%{_tmppath}/%{name}-%{version}

%description
tooLAME is an optimized Mpeg Audio 1/2 Layer 2 encoder. It is based heavily on 
- the ISO dist10 code 
- improvement to algorithms as part of the LAME project (www.sulaco.org/mp3)

This package is in PLF, as MP3 encoding is covered by software patents.

%prep
%setup -q

%build
%make OPTIM="$RPM_OPT_FLAGS" PG="" ARCH=""

%install
rm -rf %{buildroot}
install -d -m 755 %{buildroot}%{_bindir}
install -m 755 %{name} %{buildroot}%{_bindir}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc FUTURE HISTORY LGPL.txt README html
%{_bindir}/%{name}

%changelog
* Sun Jun 19 2005 Isenmann Daniel <daniel.isenmann@gmx.de> 02l-2ise
- rebuild for Mandriva 10.1

* Mon Jun 13 2005 Guillaume Rousse <guillomovitch@zarb.org> 02l-2plf
- fixed build on amd64
- spec cleanup

* Mon Dec 06 2004 Guillaume Rousse <guillomovitch@zarb.org> 02l-1plf
- first release
